<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/listContainer"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@color/ui_surface">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include layout="@layout/reuse_no_connection" />

        <LinearLayout
            android:id="@+id/reuse_none_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/reuseNoneDataIv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="144dp"
                android:src="@drawable/icon_add_games" />

            <TextView
                android:id="@+id/reuse_tv_none_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:gravity="center"
                android:lineSpacingExtra="4dp"
                android:text="你还没有游戏单\n快点创建一个吧 ～"
                android:textColor="@color/text_instance"
                android:textSize="14sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="4dp"
            android:layout_alignParentBottom="true"
            android:alpha="0.3"
            android:background="@drawable/shadow" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="112dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingLeft="16dp"
        android:paddingTop="16dp"
        android:paddingRight="16dp">

        <TextView
            android:id="@+id/createBtn"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:background="@drawable/textview_concern_red_up_round"
            android:gravity="center"
            android:text="创建游戏单"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/specificationLinkTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:text="《游戏单管理规范》"
            android:textColor="@color/text_theme"
            android:textSize="12sp" />
    </LinearLayout>
</LinearLayout>